#include <owlext/core.h>
#include <owlext/dirdialg.h>
////////////////////////////////////////////////////////////////////////////////
#include <owlext/owlxlink.h>  // have to be only once
////////////////////////////////////////////////////////////////////////////////

#include "dirapp.rh"


// This will be for our "main" framewindow
//
class TNoClientWindow : public TWindow{
	public:
  	TNoClientWindow(TWindow*parent=0):TWindow(parent), data(){Attr.W = 400;Attr.H = 0;}
      void CmTest();
      void CmAbout();
      TDirDialog::TData data;

   DECLARE_RESPONSE_TABLE(TNoClientWindow);
};

DEFINE_RESPONSE_TABLE1(TNoClientWindow, TWindow)
	EV_COMMAND(CM_TEST, CmTest),
  EV_COMMAND(CM_ABOUT, CmAbout),
END_RESPONSE_TABLE;

void
TNoClientWindow::CmTest()
{
	if((TDirDialog(this, data).Execute()) == IDCANCEL)
  	return;
  TAPointer<char> buff = new char[1024];
	wsprintf(buff,
		"The directory path you have selected is: %s", data.DirPath);
	MessageBox(buff, "Directory Selection Message");
}

void
TNoClientWindow::CmAbout()
{
	TDialog(this, IDD_ABOUT).Execute();
}

class TestApp : public TApplication {
	public:
		TestApp() : TApplication() {}
		void InitMainWindow()
		{
			MainWindow = new TFrameWindow(0, "TDirDialog TestApp", new TNoClientWindow(),true);
			MainWindow->AssignMenu("MENU_1");
		}
};

int
OwlMain(int /*argc*/, char* /*argv*/[])
{
	return TestApp().Run();
}
